Subject: Soliciting feedback for the IETF appointment to the ISOC BoT

From: IAB Chair <[email-masked]>
Date: Mon, 26 Mar 2012 10:16:45 +0200

Dear Colleagues,
 
The IAB is responsible for selecting an individual to serve a 3 year term
on the ISOC Board of Trustees.  The procedure is described in RFC3677. The
candidates who accepted their nominations are:
 
- Eric Burger
- Hago Dafalla
- John Levine
- Jonne Soninen
- Thomas Walsh
 
We solicit feedback on these candidates by April 6, 2012.  Please send your
response to [email-masked] or [email-masked].  If  you would like your
feedback to be anonymized, please indicate such in your response.
The IAB expects to finalize its selection on or before April 13, 2012.
 
The IESG will confirm the candidate by May 25, 2012 and he will begin
serving as the new board of trustee member in June.
 
Kind regards,
 
--Bernard Aboba
IAB-Chair